%bcond_with bootstrap

Name:          maven-dependency-tree
Version:       3.2.1
Release:       %mkrel 1
Group:         Development/Java
Summary:       Maven dependency tree artifact
License:       ASL 2.0
URL:           https://maven.apache.org/
BuildArch:     noarch
#ExclusiveArch: %%{java_arches} noarch

Source0:       https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.aether:aether-util)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
%endif

Provides:      maven-shared-dependency-tree = %{version}-%{release}

%description
Apache Maven dependency tree artifact. Originally part of maven-shared.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :maven-invoker-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed May 22 2024 ns80 <ns80> 3.2.1-1.mga10
+ Revision: 2066050
- new version 3.2.1 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.1.0-2.mga9
+ Revision: 1871059
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.1.0-1.mga9
+ Revision: 1870647
- New version 3.1.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 neoclust <neoclust> 3.0.1-3.mga8
+ Revision: 1618180
- Rebuild against java11

* Sat Feb 15 2020 umeabot <umeabot> 3.0.1-2.mga8
+ Revision: 1528618
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1431567
- Update to upstream version 3.0.1

* Wed Sep 19 2018 umeabot <umeabot> 3.0-6.mga7
+ Revision: 1264039
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0-5.mga6
+ Revision: 1101432
- Rebuild maven-* packages

* Mon May 15 2017 neoclust <neoclust> 3.0-4.mga6
+ Revision: 1101364
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0-2.mga6
+ Revision: 977314
- First rebuild of the java stack
- sync package maven-dependency-tree with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 2.1-6.mga5
+ Revision: 806206
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 2.1-5.mga5
+ Revision: 745286
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 dmorgan <dmorgan> 2.1-3.mga5
+ Revision: 636261
- Add missing BuildRequries
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 484274
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.0-2.mga4
+ Revision: 453106
- Build with xmvn
- Fix deps

* Sat Jan 12 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 359593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 2.0-1.mga3
+ Revision: 326532
- imported package maven-dependency-tree


* Wed Oct 24 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-1
- Initial package
